﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 714L: (1 yr) CAL VER IEEE /5520+SC600
DATE:                  2009-12-04 10:19:47
AUTHOR:                Fluke
REVISION:              $Revision: 2.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       323
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds714L_1yr_ver_ieee_5520_sc600.txt,v $
#    $Date: 2009/12/03 15:19:24 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 714L
#@
#@ Source:
#@       TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#@       Service Manual, Part No. 071-0627-02
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Cursor Reading IEEE
#        Sub TDS714L Specifications
#        Sub TDS714L (1 yr) DC Offset IEEE
#        Sub TDS714L (1 yr) DCV Meas Acc IEEE /5520+S6
#        Sub TDS714L (1 yr) Delay Match IEEE /5520+S6
#        Sub TDS714L (1 yr) Time Base IEEE /5520+S6
#        Sub TDS714L (1 yr) Trig Time Acc IEEE /5520+S6
#        Sub TDS714L (1 yr) Output Signal IEEE /5520+S6
#        Sub TDS714L (1 yr) Probe Comp IEEE /5520+S6
#        Sub TDS714L (1 yr) Bandwidth IEEE /5520+S6
#        Sub TDS714L (1 yr) Sens IEEE /5520+S6
#        Sub TDS714L (1 yr) Aux Trig In Sens IEEE /5520+S6
#
# Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        55_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        55_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        55_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        55_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        55_4ck_5.jpg      Picture: DC Volts Con. - Ch 1 and Aux trig in
#        55_4ck_6.jpg      Picture: Main Trigger Out
#        55_4ck_7.jpg      Picture: Delay Trigger Out
#        55_4ck_8.jpg      Picture: Signal/Source Out Test
#        55_4ck12.jpg      Picture: 55x0A Scope Out to UUT CH 1 & 2
#        55_4ck13.jpg      Picture: 55x0A Scope Out to UUT CH 1 & 3
#        55_4ck14.jpg      Picture: 55x0A Scope Out to UUT CH 1 & 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@       Cable, coaxial, BNC(m)-(m), 12"
#@       Dual Input Coupler (BNC)
#@       50 Ohm Feedthrough (BNC)
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5520         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.009  DISP         or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  MATH         Model = "TDS 714L"
# Make sure correct UUT is connected.
  1.025  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.026  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.027  IF           NOT(L[1]) || NOT(L[2])
  1.028  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.028  DISP         not a Tektronix [V Model]!
  1.029  END
  1.030  ENDIF

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to REVIEW the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         The following additional equipment and/or accessories
  1.034  DISP         are required:
  1.034  DISP
  1.034  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.034  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.034  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.034  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.034  DISP         - Dual Input Coupler (BNC)
  1.034  DISP         - 50 Ohm Feedthrough (BNC)
  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DC OFFSET(CH1)                     DC OFFSET(CH1)
#    4.   DC OFFSET(CH2)                     DC OFFSET(CH2)
#    5.   DC OFFSET(CH3)                     DC OFFSET(CH3)
#    6.   DC OFFSET(CH4)                     DC OFFSET(CH4)
#    7.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    8.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    9.   DCV MEASUREMENT ACC(CH3)           SAMPLE RATE AND DELAY TIME ACC
#   10.   DCV MEASUREMENT ACC(CH4)           TIME ACC OF PULSE WIDTH TRIG(CH1)
#   11.   BANDWIDTH(CH1)                     EDGE-TRIGGER SENSITIVITY(CH1)
#   12.   BANDWIDTH(CH2)                     AUX TRIG IN SENSITIVITY (CH1)
#   13.   BANDWIDTH(CH3)                     DCV MEASUREMENT ACC(CH2)
#   14.   BANDWIDTH(CH4)                     BANDWIDTH(CH2)
#   15.   CHANNEL DELAY                      EDGE-TRIGGER SENSITIVITY(CH2)
#   16.   SAMPLE RATE AND DELAY TIME ACC     DCV MEASUREMENT ACC(CH3)
#   17.   TIME ACC OF PULSE WIDTH TRIG(CH1)  BANDWIDTH(CH3)
#   18.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH3)
#   19.   AUX TRIG IN SENSITIVITY (CH1)      DCV MEASUREMENT ACC(CH4)
#   20.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH4)
#   21.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH4)
#   22.   EDGE-TRIGGER SENSITIVITY(CH4)      CHANNEL DELAY
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.036  CALL         Sub TDS714L Specifications
  1.037  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.038  JMPL         END                          @Abort
  1.039  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.040  JMPL         END                          @Abort

# Specify channel to test.
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TDS714L (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS714L (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub TDS714L (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub TDS714L (1 yr) DC Offset IEEE

  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /5520+S6
  1.051  JMPL         BANDWIDTH_CH1

  1.052  LABEL        DCV_ACC_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /5520+S6
  1.055  JMPL         BANDWIDTH_CH2

  1.056  LABEL        DCV_ACC_CH3
  1.057  MATH         @Chan = 3
  1.058  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /5520+S6
  1.059  JMPL         BANDWIDTH_CH3

  1.060  LABEL        DCV_ACC_CH4
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub TDS714L (1 yr) DCV Meas Acc IEEE /5520+S6
  1.063  JMPL         BANDWIDTH_CH4

  1.064  LABEL        BANDWIDTH_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /5520+S6
  1.067  JMPL         TIMEBASE_TRIGGER

  1.068  LABEL        BANDWIDTH_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /5520+S6
  1.071  JMPL         TRIG_SENS_CH2

  1.072  LABEL        BANDWIDTH_CH3
  1.073  MATH         @Chan = 3
  1.074  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /5520+S6
  1.075  JMPL         TRIG_SENS_CH3

  1.076  LABEL        BANDWIDTH_CH4
  1.077  MATH         @Chan = 4
  1.078  CALL         Sub TDS714L (1 yr) Bandwidth IEEE /5520+S6
  1.079  JMPL         TRIG_SENS_CH4

  1.080  LABEL        DELAY_MATCH
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub TDS714L (1 yr) Delay Match IEEE /5520+S6
  1.083  JMPL         OUTPUT_SIGNAL

  1.084  LABEL        TIMEBASE_TRIGGER
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub TDS714L (1 yr) Time Base IEEE /5520+S6
  1.087  CALL         Sub TDS714L (1 yr) Trig Time Acc IEEE /5520+S6
  1.088  CALL         Sub TDS714L (1 yr) Sens IEEE /5520+S6
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.089  OPBR         -z Each channel trig sensitivity test will take about
  1.089  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.089  OPBR         channels to save time, unless desired.
  1.089  OPBR
  1.089  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.089  OPBR         3, and 4?
  1.090  MATH         @TestCh234Sens = MEM1

  1.091  MATH         @Chan = 1
  1.092  CALL         Sub TDS714L (1 yr) Aux Trig In Sens IEEE /5520+S6
  1.093  JMPL         DCV_ACC_CH2

  1.094  LABEL        TRIG_SENS_CH2

  1.095  IF           @TestCh234Sens
  1.096  MATH         @Chan = 2
  1.097  CALL         Sub TDS714L (1 yr) Sens IEEE /5520+S6
  1.098  ENDIF

  1.099  JMPL         DCV_ACC_CH3

  1.100  LABEL        TRIG_SENS_CH3

  1.101  IF           @TestCh234Sens
  1.102  MATH         @Chan = 3
  1.103  CALL         Sub TDS714L (1 yr) Sens IEEE /5520+S6
  1.104  ENDIF

  1.105  JMPL         DCV_ACC_CH4

  1.106  LABEL        TRIG_SENS_CH4

  1.107  IF           @TestCh234Sens
  1.108  MATH         @Chan = 4
  1.109  CALL         Sub TDS714L (1 yr) Sens IEEE /5520+S6
  1.110  ENDIF

  1.111  JMPL         DELAY_MATCH

  1.112  LABEL        OUTPUT_SIGNAL
  1.113  CALL         Sub TDS714L (1 yr) Output Signal IEEE /5520+S6
  1.114  CALL         Sub TDS714L (1 yr) Probe Comp IEEE /5520+S6

  1.115  LABEL        END
  1.116  IEEE2        *RST;DESE 61

  1.117  IF           @Abort
  1.118  DISP         V E R I F I C A T I O N   A B O R T E D
  1.119  ELSE
  1.120  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.121  ENDIF

  1.122  END

